Loading...
Searching...
No Matches
uhd::gain_fcns_t Struct Reference

`#include <uhd/utils/gain_group.hpp>`

## Public Attributes

std::function< gain_range_t(void)> | get_range
std::function< double(void)> | get_value
std::function< void(double)> | set_value

## Detailed Description

A set of function to control a gain element.

## Member Data Documentation

## get_range

std::function<gain_range_t(void)> uhd::gain_fcns_t::get_range

## get_value

std::function<double(void)> uhd::gain_fcns_t::get_value

## set_value

std::function<void(double)> uhd::gain_fcns_t::set_value

The documentation for this struct was generated from the following file:

- gain_group.hpp